<?php 
/****************************************************************/
/*          e-mo.pl © 2017                                      */
/*          http://www.e-mo.com.pl                              */
/*          e-mail: info@e-mo.pl                                */
/*          produkt: Action2osCommerce                          */
/*          wersja: 1.9.7                                       */
/*          webserwis: oscGold                                  */
/*          sciezka: https://www.e-mo.com.pl/plikit,1918,533545b244d7d.php*/
/*          data: 2017-09-25                                    */
/*          godz: 10:45:15                                      */
/****************************************************************/



@require_once('source/gradacja.php');
@require_once('source/products.php');
@require_once('source/languages.php');


$produkty = new products();
$produkty->Conn = $db->Conn;
$produkty->prefiks = $db->prefiks;
$produkty->products_model =  $_POST['p_PN'];
$produkty->products_id = $produkty->Sprawdz();


if($produkty->products_id > 0)
{
	$gradacja = new gradacja();
	$gradacja->Conn = $db->Conn;
	$gradacja->prefiks = $db->prefiks;
	$gradacja->id_product = $produkty->products_id;
	$gradacja->quantity = $_POST['od'];
	$gradacja->sk =$_POST['sk'];
	$cena_sklep = round($produkty->GetCena(),4);
	$gradacja->value =  $cena_sklep - str_replace(',', '.',$_POST['cena']);

	if($gradacja->value > 0 )
	{

		if(!$gradacja->Usun())
		{
			echo '<przy name="Gradacja cen usuwanie."  error="1" msg="Błąd podczas usuwanie gradacji." />';
		}
		else
		{
			echo '<przy name="Gradacja cen usuwanie."  error="0" msg="OK" />';
		}

		if($gradacja->Sprawdz() == 0)
		{
			if(!$gradacja->Dodaj())
			{
				echo '<przy name="Gradacja cen dodawanie."  error="1" msg="Błąd podczas usuwanie gradacji." />';
			}
			else 
			{
				echo '<przy name="Gradacja cen dodawanie."  error="0" msg="OK" />';
			}
		}
	}
	else
	{
		echo '<przy name="Gradacja cen dodawanie."  error="1" msg="Wartość rabatu nie może być mniejsza od zera. Obecna eksportowana wartość to: '.str_replace(',', '.',$_POST['cena']).', cena w sklepie to: '.$cena_sklep.', rabat to:'.$gradacja->value.'" />';
	
	}

}
else
{
	echo '<przy name="Gradacja cen."  error="1" msg="Produkt główny nie istnieje." />';
}






?>
